## org.Biocorba.Seqcore
Interface PrimarySeq

All Known Subinterfaces:
  Seq

All Known Implementing Classes:
  _PrimarySeqImplBase, _PrimarySeqStub

public interface PrimarySeq
extends org.omg.CORBA.Object, org.omg.CORBA.portable.IDLEntity, AnonymousSeq

Method Summary
`java.lang.String` `accession_number()`
`java.lang.String` `display_id()`
`java.lang.String` `primary_id()`
`int` `version()`

Methods inherited from interface org.Biocorba.Seqcore.AnonymousSeq
`get_seq, get_subseq, length, max_request_length, type`

Methods inherited from interface GNOME.Unknown
`query_interface, ref, unref`

Method Detail

### display_id

    public java.lang.String display_id()

### primary_id

    public java.lang.String primary_id()

### accession_number

    public java.lang.String accession_number()

### version

    public int version()